<div>
    <div class="add-title">
        <h2 class="primary">Editar empleado</h2>
    </div>
    <div>
        <form [formGroup]="addEmployeeForm" (change)="formChanged()" (ngSubmit)="onSubmit()">
            <mat-grid-list cols="2" [cols]="breakpoint" rowHeight="85px" (window:resize)="onResize($event)">

                <mat-grid-tile>
                    <div class="text-inside">
                        <mat-form-field>
                            <input matInput placeholder="Primer nombre" formControlName="firstName" required style="text-transform:uppercase">
                            <mat-error *ngIf="addEmployeeForm.controls.firstName.hasError('required')">
                                Por favor ingresar primer nombre
                            </mat-error>
                            <mat-error *ngIf="addEmployeeForm.controls.firstName.hasError('pattern')">
                                Por favor ingresar primer nombre valido
                            </mat-error>
                        </mat-form-field>
                    </div>
                </mat-grid-tile>

                <mat-grid-tile>
                    <div class="text-inside">
                        <mat-form-field>
                            <input matInput placeholder="Otros nombres" formControlName="otherName" style="text-transform:uppercase">
                            <mat-error *ngIf="addEmployeeForm.controls.otherName.hasError('pattern')">
                                Por favor ingresar otros nombres validos
                            </mat-error>
                        </mat-form-field>
                    </div>
                </mat-grid-tile>

                <mat-grid-tile>
                    <div class="text-inside">
                        <mat-form-field>
                            <input matInput placeholder="Primer apellido" formControlName="firstSurname" required style="text-transform:uppercase">
                            <mat-error *ngIf="addEmployeeForm.controls.firstSurname.hasError('required')">
                                Por favor ingresar primer apellido
                            </mat-error>
                            <mat-error *ngIf="addEmployeeForm.controls.firstSurname.hasError('pattern')">
                                Por favor ingresar primer apellido valido
                            </mat-error>
                        </mat-form-field>
                    </div>
                </mat-grid-tile>
                <mat-grid-tile>
                    <div>
                        <mat-form-field>
                            <input matInput placeholder="Segundo apellido" formControlName="secondSurname" required style="text-transform:uppercase">
                            <mat-error *ngIf="addEmployeeForm.controls.secondSurname.hasError('required')">
                                Por favor ingresar segundo apellido
                            </mat-error>
                            <mat-error *ngIf="addEmployeeForm.controls.secondSurname.hasError('pattern')">
                                Por favor ingresar segundo apellido valido
                            </mat-error>
                        </mat-form-field>
                    </div>
                </mat-grid-tile>


                <mat-grid-tile>
                    <mat-form-field appearance="fill">
                        <mat-label>País</mat-label>
                        <mat-select formControlName="country" required>
                            <mat-option>--</mat-option>
                            <mat-option *ngFor="let country of countrys" [value]="country.description">
                                {{country.description}}
                            </mat-option>
                        </mat-select>
                        <mat-error *ngIf="addEmployeeForm.controls.country.hasError('required')">Por favor ingresar país</mat-error>
                    </mat-form-field>
                </mat-grid-tile>

                <mat-grid-tile>
                    <mat-form-field appearance="fill">
                        <mat-label>Tipo de documento</mat-label>
                        <mat-select formControlName="typeIdentification" required>
                            <mat-option>--</mat-option>
                            <mat-option *ngFor="let typeIdentification of typesIdentification" [value]="typeIdentification.id">
                                {{typeIdentification.description}}
                            </mat-option>
                        </mat-select>
                        <mat-error *ngIf="addEmployeeForm.controls.country.hasError('required')">Por favor ingresar tipo de identificación</mat-error>
                    </mat-form-field>
                </mat-grid-tile>

                <mat-grid-tile>
                    <div>
                        <mat-form-field>
                            <input matInput placeholder="Número de identificación" formControlName="numberIdentification" required>
                            <mat-error *ngIf="addEmployeeForm.controls.numberIdentification.hasError('required')">
                                Por favor ingresar número de identificación
                            </mat-error>
                            <mat-error *ngIf="addEmployeeForm.controls.numberIdentification.hasError('pattern')">
                                Por favor ingresar número de identificación
                            </mat-error>
                        </mat-form-field>
                    </div>
                </mat-grid-tile>


                <mat-grid-tile>
                    <div class="text-inside">
                        <mat-form-field>
                            <input matInput [matDatepicker]="admissionDate" placeholder="Fecha de ingreso" readonly formControlName="admissionDate"
                            [max]="maxDate" [min]="minDate">
                            <mat-datepicker-toggle matSuffix [for]="admissionDate"></mat-datepicker-toggle>
                            <mat-datepicker #admissionDate></mat-datepicker>
                        </mat-form-field>
                    </div>
                </mat-grid-tile>


                <mat-grid-tile>
                    <mat-form-field appearance="fill">
                        <mat-label>Area</mat-label>
                        <mat-select formControlName="areaId" >
                            <mat-option>--</mat-option>
                            <mat-option *ngFor="let area of areas" [value]="area.id">
                                {{area.description}}
                            </mat-option>
                        </mat-select>
                     </mat-form-field>
                </mat-grid-tile>


                <mat-grid-tile>
                    <mat-form-field>
                        <input matInput [ngxMatDatetimePicker]="picker" placeholder="Fecha de edición" formControlName="editionDate" [disabled]="disabled">
                        
                        <mat-datepicker-toggle matSuffix [for]="$any(picker)"></mat-datepicker-toggle>
                    
                        <ngx-mat-datetime-picker #picker></ngx-mat-datetime-picker>
                    </mat-form-field>
                </mat-grid-tile>

                <mat-grid-tile>
                        <!--<mat-label>Estado</mat-label>-->
                        <mat-radio-group aria-label="Select an option" formControlName="status">
                            <mat-radio-button [value]="true">Activo</mat-radio-button>
                            <mat-radio-button [value]="false" style="margin-left: 30px;">Inactivo</mat-radio-button>
                        </mat-radio-group>
                </mat-grid-tile>
            

            </mat-grid-list>

            <div class="btn-sec" style="margin-left: 70%;">
                <button mat-raised-button type="submit" color="primary" class="Update-btn">Save</button>
                <button mat-raised-button type="button" class="Discard-btn" (click)="openDialog()">Cancel</button>
            </div>

        </form>
    </div>
</div>